Skip to main content
POST
Create Object Definitions

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app for which the object definitions are being created.

Body

application/json
mediaTypes
enum<string>[]
required

An array of strings representing the types of media objects that can be created. Valid values include 'VIDEO', 'AUDIO', 'DOCUMENT', 'OTHER', and 'IMAGE'.

Available options:
VIDEO,
AUDIO,
DOCUMENT,
OTHER,
IMAGE

Response

successful operation

createdObjects
object
required

An array of objects that have been successfully created. Each object in the array represents a newly created integrator object.

Last modified on September 9, 2026